> For the complete documentation index, see [llms.txt](https://docs.antimatter.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.antimatter.finance/antimatter-structured-product/weekly-sharkfin/mechanism.md).

# Mechanism

## Rules of Return

A sharkfin product has two parameters that change every week: Price range and APR range. They are adjusted to provide an attractive APR, but also low risk.

**Price range:** *lowerBarrier($)*-*upperBarrier($)*, **APR range:** *lowerApr(%)-upperApr(%)*

At maturity there are two outcomes:

### **1.** Asset price was **always** in the price range:

Annualised Percentage Return (APR) =

*lowerApr*(%) **+** (settlement price **-** *lowerBarrier*)/(*upperBarrier* **–** *lowerBarrier*)\* (*upperApr*(%) **-** *lowerApr*(%))

*return = principal \* APR/365 \* 7 (investment term)*

### **2.** Asset price was atleast once below *lowerBarrier* or above *upperBarrier*:

*return = principal \* lowerApr/365 \* 7 (investment term)*

So obviously the objective is to stay within the price range, the higher the settlement price the higher the APR. Nevertheless, you earn a minimum APR even with the second outcome.

## Risks

Antimatter Sharkfin is principal protected, meaning that you are guaranteed a minimum return equal or more than the initial investment. There is no such concept of liquidation or margin calls. As the money is handled through a smart contract, usual smart contract risks apply. Furthermore, this product is released in Beta.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.antimatter.finance/antimatter-structured-product/weekly-sharkfin/mechanism.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
